function K=Create_K(E,I,L,G,A,fs)
% The input parameters are E, I, and L, and K is the output parameter. The
% order of input parameters must be identical here and in the main program.

shear = 0;  % 0 - BEBT, 1 - Timoshenko



if shear == 0

K=E*I/L^3*[
 12   6*L   -12   6*L
6*L   4*L^2 -6*L  2*L^2
-12  -6*L    12  -6*L
6*L   2*L^2 -6*L  4*L^2];

else if shear == 1
        
Bs = 12*E*I*fs/(G*A*L^2);
        
K=E*I/(L^3*(1+Bs))*[
 12   6*L   -12   6*L
6*L   (4+Bs)*L^2 -6*L  (2-Bs)*L^2
-12  -6*L    12  -6*L
6*L   (2-Bs)*L^2 -6*L  (4+Bs)*L^2];

    end
end